> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Paperwork Templates

> Get one or more Paperwork Templates by company ID or filters.

Gets one or more Paperwork Template(s) by companyID or various filters. This endpoint will return an array of [Paperwork Template](/reference/paperwork-api/paperwork-template-object) object(s).


## OpenAPI

````yaml openapi/zeal-api.json post /paperwork/templates
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /paperwork/templates:
    post:
      description: Gets one or more Paperwork Template(s) by companyID or various filters.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                companyID:
                  type: string
                  description: Unique identifier for Zeal company
                paperwork_type:
                  type: string
                  description: Type of paperwork form
                  enum:
                    - W4
                    - I9
                    - W9
                    - CustomPaperwork
                worker_type:
                  type: string
                  description: Type of worker the form is applicable to
                  enum:
                    - Employee
                    - Contractor
                    - All
                jurisdictions:
                  type: object
                  description: Filter for jurisdictions where the form is applicable
                effective_date:
                  type: string
                  description: Effective date for template retrieval
                  format: date
                archive_date:
                  type: string
                  description: Archive date for template retrieval
                  format: date
              required:
                - companyID
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: array
                    description: Filtered array of Paperwork Template object(s)
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                        code:
                          type: integer
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````